Bug 202604 - tvtime induced lockdep traces
tvtime induced lockdep traces
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-08-15 09:48 EDT by Deji Akingunola
Modified: 2008-05-06 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-08-15 09:48:16 EDT
Description of problem:
Noticed the following on poking into my log files, doesn't seems to happen on
kernels earlier than 2.6.17-1.2558.fc6 (system updated from a FC6-test2 install).

>>Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel:
=======================================================
Aug 15 00:38:04 agape kernel: [ INFO: possible circular locking dependency
detected ]
Aug 15 00:38:04 agape kernel: 2.6.17-1.2564.fc6 #1
Aug 15 00:38:04 agape kernel:
-------------------------------------------------------
Aug 15 00:38:04 agape kernel: tvtime/9003 is trying to acquire lock:
Aug 15 00:38:04 agape kernel:  (&mm->mmap_sem){----}, at: [<ffffffff88404907>]
videobuf_dma_init_user+0xd2/0x17a [video_buf]
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: but task is already holding lock:
Aug 15 00:38:04 agape kernel:  (&q->lock#2){--..}, at: [<ffffffff8026626f>]
mutex_lock+0x2a/0x2e
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: which lock already depends on the new lock.
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: the existing dependency chain (in reverse order) is:
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: -> #1 (&q->lock#2){--..}:
Aug 15 00:38:04 agape kernel:        [<ffffffff802a8ec3>] lock_acquire+0x4a/0x69
Aug 15 00:38:04 agape kernel:        [<ffffffff802660c8>]
__mutex_lock_slowpath+0xe4/0x261
Aug 15 00:38:04 agape kernel:        [<ffffffff8026626e>] mutex_lock+0x29/0x2e
Aug 15 00:38:04 agape kernel:        [<ffffffff884037ba>]
videobuf_mmap_mapper+0x1b/0x23b [video_buf]
Aug 15 00:38:04 agape kernel:        [<ffffffff8841c5c4>] video_mmap+0x38/0x3b
[saa7134]
Aug 15 00:38:04 agape kernel:        [<ffffffff8020e44e>] do_mmap_pgoff+0x4cf/0x7b7
Aug 15 00:38:04 agape kernel:        [<ffffffff802250a9>] sys_mmap+0x8e/0xca
Aug 15 00:38:04 agape kernel:        [<ffffffff802603cd>] system_call+0x7d/0x83
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: -> #0 (&mm->mmap_sem){----}:
Aug 15 00:38:04 agape kernel:        [<ffffffff802a8ec3>] lock_acquire+0x4a/0x69
Aug 15 00:38:04 agape kernel:        [<ffffffff802a599f>] down_read+0x3d/0x4a
Aug 15 00:38:04 agape kernel:        [<ffffffff88404906>]
videobuf_dma_init_user+0xd1/0x17a [video_buf]
Aug 15 00:38:04 agape kernel:        [<ffffffff88404c76>]
videobuf_iolock+0x91/0xec [video_buf]
Aug 15 00:38:04 agape kernel:        [<ffffffff8841a0ca>]
buffer_prepare+0x18a/0x1fd [saa7134]
Aug 15 00:38:04 agape kernel:        [<ffffffff88405303>]
videobuf_qbuf+0x247/0x2f4 [video_buf]
Aug 15 00:38:04 agape kernel:        [<ffffffff8841b7f4>]
video_do_ioctl+0xda4/0xf31 [saa7134]
Aug 15 00:38:04 agape kernel:        [<ffffffff881cfa78>]
video_usercopy+0x1d0/0x2a9 [videodev]
Aug 15 00:38:04 agape kernel:        [<ffffffff88419163>] video_ioctl+0xf/0x12
[saa7134]
Aug 15 00:38:04 agape kernel:        [<ffffffff802438bb>] do_ioctl+0x5d/0x77
Aug 15 00:38:04 agape kernel:        [<ffffffff8023254b>] vfs_ioctl+0x259/0x277
Aug 15 00:38:04 agape kernel:        [<ffffffff8024e7fe>] sys_ioctl+0x5e/0x82
Aug 15 00:38:04 agape kernel:        [<ffffffff802603cd>] system_call+0x7d/0x83
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: other info that might help us debug this:
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: 1 lock held by tvtime/9003:
Aug 15 00:38:04 agape kernel:  #0:  (&q->lock#2){--..}, at: [<ffffffff8026626f>]
mutex_lock+0x2a/0x2e
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: stack backtrace:
Aug 15 00:38:04 agape kernel: 
Aug 15 00:38:04 agape kernel: Call Trace:
Aug 15 00:38:04 agape kernel:  [<ffffffff8026e73d>] show_trace+0xae/0x319
Aug 15 00:38:04 agape kernel:  [<ffffffff8026e9bd>] dump_stack+0x15/0x17
Aug 15 00:38:04 agape kernel:  [<ffffffff802a7101>]
print_circular_bug_tail+0x6c/0x77
Aug 15 00:38:04 agape kernel:  [<ffffffff802a870a>] __lock_acquire+0x84d/0xa64
Aug 15 00:38:04 agape kernel:  [<ffffffff802a8ec4>] lock_acquire+0x4b/0x69
Aug 15 00:38:04 agape kernel:  [<ffffffff802a59a0>] down_read+0x3e/0x4a
Aug 15 00:38:04 agape kernel:  [<ffffffff88404907>]
:video_buf:videobuf_dma_init_user+0xd2/0x17a
Aug 15 00:38:04 agape kernel:  [<ffffffff88404c77>]
:video_buf:videobuf_iolock+0x92/0xec
Aug 15 00:38:04 agape kernel:  [<ffffffff8841a0cb>]
:saa7134:buffer_prepare+0x18b/0x1fd
Aug 15 00:38:04 agape kernel:  [<ffffffff88405304>]
:video_buf:videobuf_qbuf+0x248/0x2f4
Aug 15 00:38:04 agape kernel:  [<ffffffff8841b7f5>]
:saa7134:video_do_ioctl+0xda5/0xf31
Aug 15 00:38:04 agape kernel:  [<ffffffff881cfa79>]
:videodev:video_usercopy+0x1d1/0x2a9
Aug 15 00:38:04 agape kernel:  [<ffffffff88419164>] :saa7134:video_ioctl+0x10/0x12
Aug 15 00:38:04 agape kernel:  [<ffffffff802438bc>] do_ioctl+0x5e/0x77
Aug 15 00:38:04 agape kernel:  [<ffffffff8023254c>] vfs_ioctl+0x25a/0x277
Aug 15 00:38:04 agape kernel:  [<ffffffff8024e7ff>] sys_ioctl+0x5f/0x82
Aug 15 00:38:04 agape kernel:  [<ffffffff802603ce>] system_call+0x7e/0x83
Aug 15 00:38:04 agape kernel: DWARF2 unwinder stuck at system_call+0x7e/0x83
Aug 15 00:38:04 agape kernel: Leftover inexact backtrace:
Aug 15 00:38:04 agape kernel: 
Aug 15 04:08:59 agape kernel: rpmq[12572]: segfault at 0000000000000078 rip
00000033d68d28db rsp 00007fff2744ac20 error 4
<<


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul F. Johnson 2007-01-12 18:42:57 EST
Also happens with the 2.6.19-2911 kernel (12/01/2007)
Comment 2 Robert Kromer 2007-03-16 23:57:51 EDT
As well as kernel-2.6.20-1.2990.fc7 (3/16/07)
Comment 3 Paul F. Johnson 2007-04-17 18:00:44 EDT
Is this still the case with the newer rawhide kernels?
Comment 4 Bug Zapper 2008-04-03 13:57:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:44:32 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.